Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Toni
    @t-book
    @gannebamm yes just fixed the debug_static frontend
    will now look at the strange #paneltbar outside of the actual html definition. if anybody knows where #paneltbar is acutally used I'm all open ears. Cannot find it as element in DOM ยท
    Koji Saruya
    @koji117
    Hi, I would like to replicate a geonode environment to another geonode environment in a different server. Can somebody tell me what is the best way to do this? I assume backup/restore is only supported within the same instance cause I receive an MD5 error when executing a restore command on a server using a backup file generated by a different server.
    Toni
    @t-book
    @koji117 unfortunately I cannot help here but would say it should work. As far as I remember @afabiani runs a setup which mirrors a system to another in read only mode. Maybe you can share your steps and the md5 error?
    Florian Hoedt
    @gannebamm
    @koji117 Do both instances use the same GeoNode version?
    you can take a look at geonode-projects restore shell script: https://github.com/GeoNode/geonode-project/blob/master/project_name/br/restore.sh
    Florian Hoedt
    @gannebamm

    @afabiani

    (geonode_upstream) geonode@HPCIT04-BS:~/PycharmProjects/geonode_upstream$ pip install -e . --upgrade
    Obtaining file:///home/geonode/PycharmProjects/geonode_upstream
        ERROR: Command errored out with exit status 1:
         command: /home/geonode/.virtualenvs/geonode_upstream/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/home/geonode/PycharmProjects/geonode_upstream/setup.py'"'"'; __file__='"'"'/home/geonode/PycharmProjects/geonode_upstream/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-pip-egg-info-2p68islm
             cwd: /home/geonode/PycharmProjects/geonode_upstream/
        Complete output (7 lines):
        Traceback (most recent call last):
          File "<string>", line 1, in <module>
          File "/home/geonode/PycharmProjects/geonode_upstream/setup.py", line 35, in <module>
            REQUIREMENTS = [str(r.req) for r in inst_req]
          File "/home/geonode/PycharmProjects/geonode_upstream/setup.py", line 35, in <listcomp>
            REQUIREMENTS = [str(r.req) for r in inst_req]
        AttributeError: 'ParsedRequirement' object has no attribute 'req'
        ----------------------------------------
    ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

    with:
    ubuntu 20.04 LTS
    python 3.8.5
    pip 20.2.4
    setuptools 45.0.0

    Following the documented master setup
    Wanted to push some code to upstream and this is my attempt to test it properly on a new setup
    I think the required setuptools in the requirements.txt is to old?
    wait ... I am on a completly wrong branch
    Angelos Tzotsos
    @kalxas
    thanks!
    Toni
    @t-book
    Yeah!
    Valerio De Luca
    @valeriodeluca
    Great!
    Valerio De Luca
    @valeriodeluca

    during GeoNode-Project Docker installation:
    docker-compose -f docker-compose.yml build --no-cache

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/bin/docker-compose", line 11, in <module>
    load_entry_point('docker-compose==1.25.0', 'console_scripts', 'docker-compose')()
    File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 72, in main
    command()
    File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 125, in perform_command
    project = project_from_options('.', options)
    File "/usr/lib/python3/dist-packages/compose/cli/command.py", line 53, in project_from_options
    return get_project(
    File "/usr/lib/python3/dist-packages/compose/cli/command.py", line 151, in get_project
    return Project.from_config(
    File "/usr/lib/python3.8/contextlib.py", line 131, in exit
    self.gen.throw(type, value, traceback)
    File "/usr/lib/python3/dist-packages/compose/cli/errors.py", line 53, in handle_connection_errors
    exit_with_error(get_conn_error_message(client.base_url))
    File "/usr/lib/python3/dist-packages/compose/cli/errors.py", line 123, in get_conn_error_message
    return docker_not_found_msg("Couldn't connect to Docker daemon.")
    File "/usr/lib/python3/dist-packages/compose/cli/errors.py", line 137, in docker_not_found_msg
    problem, docker_install_url())
    File "/usr/lib/python3/dist-packages/compose/cli/errors.py", line 143, in docker_install_url
    elif is_ubuntu():
    File "/usr/lib/python3/dist-packages/compose/cli/utils.py", line 76, in is_ubuntu
    return platform.system() == 'Linux' and platform.linux_distribution()[0] == 'Ubuntu'
    AttributeError: module 'platform' has no attribute 'linux_distribution'

    Toni
    @t-book
    return docker_not_found_msg("Couldn't connect to Docker daemon.")
    ^ does this help?
    Florian Hoedt
    @gannebamm
    @valeriodeluca please confirm your docker setup is working by using docker and docker-compose
    and fetch the hello world docker image as example
    Angelos Tzotsos
    @kalxas
    closing session in 5 mins on zoom
    Julia Wakaba
    @jmugure95
    @gannebamm how did you solve the geoserver.monitor issue?
    Valerio De Luca
    @valeriodeluca
    @gannebamm yes I'm using docker and docker compose, in the afternoon I'll share my step by step docker geonode project installation
    In .env file I see RESOLVER=127.0.0.11, is it righy or is it a typo for 127.0.0.1?
    Koji Saruya
    @koji117

    @t-book
    Thank you for your reply. Sorry, I realized that I was referencing a wrong back up file which caused an MD5 error.
    @gannebamm
    Yes, I am using the same version. In fact, I am using the exactly the same image in my docker registry.

    However, after fixing the MD5 error, I encountered another kind of error, which I have no idea what it indicates.
    These are the exception I received from stdout.

    Error persisting StyleInfoImpl[geonode:A16_15_00_DID_EN] to workspaces\/geonode\/styles\/A16_15_00_DID_EN.xml\n\tat org.geoserver.backuprestore.BackupRestoreItem.logValidationExceptions(BackupRestoreItem.java:307)\n\tat org.geoserver.backuprestore.writer.CatalogItemWriter.write(CatalogItemWriter.java:130)\n\tat sun.reflect.GeneratedMethodAccessor323.invoke......
    
    Caused by: java.lang.IllegalStateException: Cannot create workspaces\/geonode\/styles\/A16_15_00_DID_EN.xml\n\tat org.geoserver.platform.resource.FileSystemResourceStore$FileSystemResource.file(FileSystemResourceStore.java:347)
    
    Caused by: java.io.FileNotFoundException: Unable to createA16_15_00_DID_EN.xml - not a directory \/geoserver_data\/data\/workspaces\/geonode\/styles\n\tat org.geoserver.platform.resource.FileSystemResourceStore$FileSystemResource.file(FileSystemResourceStore.java:344

    and in the end, it gives me this error

    FileNotFoundError: [Errno 2] No such file or directory: '/backup_restore/tmplbou_mxm'

    Could you tell what might be causing this issue?

    Florian Hoedt
    @gannebamm
    workspaces\/geonode\/styles\/A16_15_00_DID_EN.xml those look like windows paths mixed with unix paths?
    Koji Saruya
    @koji117
    @gannebamm
    Thank you for your response. The backup file was generated by CentOS7 and restore was run on Mac so I think both are using the unix path.. Maybe those paths were messed up when I uploaded the backup file to S3 and download to my Mac.. anyway I'll try to fix those paths. Thank you very much!
    Koji Saruya
    @koji117
    I just realized "/" is escaped by "\" in the whole json response. Do you still think it is a problem of paths..?
                       {
                            "name": "restoreStyleInfos",
                            "status": "FAILED",
                            "exitStatus": {
                                "exitCode": "FAILED",
                                "exitDescription": "org.geoserver.catalog.CatalogException: org.geoserver.catalog.CatalogException: Error persisting StyleInfoImpl[geonode:A16_15_00_DID_EN] to workspaces\/geonode\/styles\/A16_15_00_DID_EN.xml\n\tat org.geoserver.backuprestore.BackupRestoreItem.logValidationExceptions(BackupRestoreItem.java:307)\n\tat org.geoserver.backuprestore.writer.CatalogItemWriter.write(CatalogItemWriter.java:130)\n\tat sun.reflect.GeneratedMethodAccessor323.invoke(Unknown Source)
                                Caused by: org.geoserver.catalog.CatalogException: Error persisting StyleInfoImpl[geonode:A16_15_00_DID_EN] to workspaces\/geonode\/styles\/A16_15_00_DID_EN.xml\n\tat org.geoserver.config.GeoServerConfigPersister.persist(GeoServerConfigPersister.java:616)\n\tat org.geoserver.config.GeoServerConfigPersister.addStyle(GeoServerConfigPersister.java:541)\java:115)\n\t... 36 more\n
                                Caused by: java.lang.IllegalStateException: 
                                Cannot create workspaces\/geonode\/styles\/A16_15_00_DID_EN.xml\n\tat org.geoserver.platform.resource.FileSystemResourceStore$FileSystemResource.file(FileSystemResourceStore.java:347)\n\tat org.geoserver.platform.resource.FileSystemResourceStore$FileSystemResource.setContents(FileSystemResourceStore.java:532)\n\tat org.geoserver.config.GeoServerConfigPersister.persist(GeoServerConfigPersister.java:610)\n\t... 43 more\nCaused by: java.io.FileNotFoundException: Unable to createA16_15_00_DID_EN.xml - not a directory \/geoserver_data\/data\/workspaces\/geonode\/styles\n\tat org.geoserver.platform.resource.FileSystemResourceStore$FileSystemResource.file(FileSystemResourceStore.java:344)\n\t... 45 more\n"
                            },
                            "startTime": "11\/20\/20 11:42 AM",
                            "endTime": "11\/20\/20 11:42 AM",
                            "lastUpdated": "11\/20\/20 11:42 AM",
                            "parameters": {
                                "BK_SKIP_SETTINGS": true,
                                "BK_SKIP_SECURITY": true,
                                "BK_CLEANUP_TEMP": true,
                                "BK_BEST_EFFORT": false,
                                "exclude.file.path": "",
                                "job.execution.name": "restoreJob",
                                "input.file.path": "file:\/\/\/geoserver_data\/data\/temp\/tmpfc28dc64-d6e4-4e20-85a0-72d8f34b2dba",
                                "time": 1605872565810
                            },
    Valerio De Luca
    @valeriodeluca
    Following the Geonode-Project Docker installation I get Error 502.
    Here my steps:
    https://github.com/valeriodeluca/geonode/blob/main/geonode_project_docker_installation.txt
    Here the video YouTube:
    https://www.youtube.com/watch?v=1rndqtyORRU
    I used my testing domain (but it is a real registered working domain).
    Do you see somethings wrongs? Tks
    Toni
    @t-book
    @valeriodeluca check what django is doing
    docker-compose logs -f django
    also have a look at:
    tail -f invoke.log
    note. the startup takes some time. so give the 502 some time until all services have started
    Valerio De Luca
    @valeriodeluca
    tks @t-book
    (my_geonode) geonode@dev:/opt/geonode_project/my_geonode$ sudo docker-compose logs -f django
    Attaching to django4my_geonode
    django4my_geonode | Terminated
    django4my_geonode | Restarting periodic command scheduler: cronStopping periodic command scheduler: cronStarting periodic command scheduler: cron.
    django4my_geonode | Restarting memcached: memcached.
    django4my_geonode | DATABASE_URL=postgres://my_geonode:geonode@db:5432/my_geonode
    django4my_geonode | GEODATABASE_URL=postgis://my_geonode_data:geonode@db:5432/my_geonode_data
    django4my_geonode | SITEURL=https://www.mfftest.eu/
    django4my_geonode | ALLOWED_HOSTS=['www.mfftest.eu', 'www.mfftest.eu', 'www.mfftest.eu:None', 'geonode', 'django']
    django4my_geonode | GEOSERVER_PUBLIC_LOCATION=https://www.mfftest.eu/geoserver/
    django4my_geonode | MONITORING_ENABLED=True
    django4my_geonode | MONITORING_HOST_NAME=geonode
    django4my_geonode | MONITORING_SERVICE_NAME=local-geonode
    django4my_geonode | MONITORING_DATA_TTL=365
    django4my_geonode | waitfordbs task done
    django4my_geonode | running migrations
    django4my_geonode | migrations task done
    django4my_geonode | DOCKER_ENV=production
    django4my_geonode | prepare task done
    django4my_geonode | updategeoip task done
    django4my_geonode | fixture task done
    django4my_geonode | monitoringfixture task done
    django4my_geonode | initialized
    django4my_geonode | refresh static data
    django4my_geonode | static data refreshed
    django4my_geonode | waitforgeoserver task done
    django4my_geonode | geoserverfixture task done
    django4my_geonode | updateadmin task done
    django4my_geonode | Executing UWSGI server uwsgi --ini /usr/src/my_geonode/uwsgi.ini for Production
    django4my_geonode | got command uwsgi --ini /usr/src/my_geonode/uwsgi.ini
    django4my_geonode | [uWSGI] getting INI configuration from /usr/src/my_geonode/uwsgi.ini
    Florian Hoedt
    @gannebamm
    @valeriodeluca check your yml and env. You mix https and non https there. Eg some parts of the conf show https, others refer to port 80 (http).
    mradamcox
    @mradamcox
    I have an ubuntu system with Geoserver 2.17 already running, and I'm trying to use this installation during development on geonode. I have my .env settings properly pointing to geoserver (like GEOSERVER_WEB_UI_LOCATION=http://localhost:8080/geoserver/, etc). However, when I try to upload a layer (geotiff) I get this error:
    RuntimeError: Could not ADD GeoServer User 'admin' Rule for Layer <Layer: geonode:_03296_1922_0003_1g9xw4x_modified_deflate>: ''<html>\n<head>\n<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>\n<title>Error 404 Not Found</title>\n</head>\n<body><h2>HTTP ERROR 404</h2>\n<p>Problem accessing /geoserver/rest/geofence/rules. Reason:\n<pre> Not Found</pre></p><hr><a href="http://eclipse.org/jetty">Powered by Jetty:// 9.4.18.v20190429</a><hr/>\n\n</body>\n</html>\n''
    mradamcox
    @mradamcox
    So I have installed the Geofence client extension for Geoserver from here, http://geoserver.org/release/maintain/, and I can access the Geofence GUI in Geoserver. However, this error still occurs when I try to upload a layer. Do I need to figure out the Geofence server extension as well? I figured I should check in here before moving forward. Thanks!
    mradamcox
    @mradamcox
    Ok, I tried a different geoserver instance in docker (which I am not very familiar with yet) and got closer, the error on upload using this geoserver instance is Could not open JPA EntityManager for transaction.
    mckinnon
    @mckinnon
    Aye. I thought I'd use custom Metadata Regions and managed to break them. Any suggestions on restoring those to default?
    Toni
    @t-book
    @mradamcox geonode uses a customized geoserver version which has preinstalled plugins. Please use that one: https://github.com/GeoNode/geonode/blob/master/dev_config.yml#L2 Further be sure to follow the docs on how to configure oauth2 between geonode and geoserver
    1 reply
    @mckinnon untested! Maybe delete them and load the initial fixutre? https://github.com/GeoNode/geonode/blob/master/geonode/base/fixtures/initial_data.json
    Alessio Fabiani
    @afabiani
    @mradamcox check the db connection params into $GEOSERVER_DATA_DIR/geofence/geofence-datastore.ovr.properties
    1 reply
    Paolo Pasquali
    @ppasq
    Hi, I have a "GWC configuration seems to be out of synch" issue that I cannot solve even removing the gwc-layers config files that were causing the issue. More details in the email I sent today to the list. I was updating the layers metadata using the admin ui. Any hint? Thanks!
    Erick Palacios Moreno
    @palmoreck

    Hi everyone, hope everything is ok with you.
    I'm facing a problem when downloading a raster because is not "complete". I've already increased resource consumption limits for WCS but when I download it and then try to compress it or read it I'm getting next output:

    gdalwarp  -co "COMPRESS=LZW" geonode__National_MAD-Mex_landsat8_lc_2015_32_classes.tif geonode__National_MAD-Mex_landsat8_lc_2015_32_classes_compressed.tif
    
    Creating output file that is 125631P x 77406L.
    Processing input file geonode__National_MAD-Mex_landsat8_lc_2015_32_classes.tif.
    Using internal nodata values (e.g. 0) for image geonode__National_MAD-Mex_landsat8_lc_2015_32_classes.tif.
    Copying nodata values from source geonode__National_MAD-Mex_landsat8_lc_2015_32_classes.tif to destination geonode__National_MAD-Mex_landsat8_lc_2015_32_classes
    _compressed.tif.
    0..ERROR 1: TIFFFillTile:Read error at row 3584, col 43520; got 0 bytes, expected 262144
    ERROR 1: TIFFReadEncodedTile() failed.
    ERROR 1: geonode__National_MAD-Mex_landsat8_lc_2015_32_classes.tif, band 1: IReadBlock failed at X offset 0, Y offset 18
    ERROR 1: GetBlockRef failed at X block offset 0, Y block offset 18

    Possibly this is related with some parameters in Geoserver I need to increase?
    :point_right: This raster is larger than others I already have registered in Geonode, downloaded them and read them with rasterio or cmd lines of gdal with no errors.
    Thanks in advance.
    Cheers, :wave:

    Juxtaposition
    @smilesntickles_twitter
    Hello, am experiencing these errors on geoserver_logs, any help
    issue.png
    gfr.png
    Manuela Sabatino
    @ManuCiao
    hi, is there a way to pass multiple layers to the getLegendGraphic on geoserver? @afabiani